Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.metal.ai/v1/companies/{id}/financial-metrics \ --header 'x-metal-api-key: <api-key>' \ --header 'x-metal-client-id: <api-key>'
import requests url = "https://api.metal.ai/v1/companies/{id}/financial-metrics" headers = { "x-metal-client-id": "<api-key>", "x-metal-api-key": "<api-key>" } response = requests.get(url, headers=headers) print(response.text)
const options = { method: 'GET', headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'} }; fetch('https://api.metal.ai/v1/companies/{id}/financial-metrics', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.metal.ai/v1/companies/{id}/financial-metrics" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-metal-client-id", "<api-key>") req.Header.Add("x-metal-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "data": [ { "name": "<string>", "value": 123, "period": "<string>", "currency": "<string>" } ] }
{ "error": "invalid api key or clientId" }
{ "error": "not found" }
Returns financial metrics extracted for a company.
The Client ID of your API key.
The secret value of your API key.
The company id.
Financial metrics for the company.
Show child attributes
Related topics